/* epic_handler.c - contains subroutines to handle interrupts */

/*  Copyright 2005-2006 Freescale Semiconductor */
/*
modification history
--------------------
01a,19jul05,ahk rewritten from edink
*/

/*
DESCRIPTION

INCLUDE Files: epic.h, tsec.h
*/

/* includes */

#include <stdio.h>
#include "epic.h"
#include "e500.h"
#include "MPC8560.h"
#include "tsec.h"

/* defines */



/* typedefs */


/* globals */
unsigned long txbdCounter = 0;
unsigned long rxbdCounter = 0;


/* forward declaration */
extern TSEC_TXBD			    transmitBd[NUM_OF_BD_BUFFER] __attribute__ ((aligned (64))); /* transmit BD ring */
extern TSEC_RXBD			    receiveBd[NUM_OF_BD_BUFFER]  __attribute__ ((aligned (64))); /* receive BD ring */
//extern mpq_tsec					*pTsecMap; /* pointer to tsec memory mapped registers */

void IRQ0ISR()
{
	//printf("EPIC: Interrupt Service Routine for interrupt 0\n");
}

void tsec1ReceiveTransmitErrorIsr ()
{
	
}

void tsec1TransmitIsr ()
{
	unsigned long i;
	//if (!(transmitBd[txbdCounter].flags & 0x8000))
	//{
		//printf("TXBD %d is transmitted...\n\r", txbdCounter);
		//printf("TSEC event reg value = 0x%8.8x \n\r", pTsecMap->ievent);
	//}
		
	/* Clear the interrupt status */
	//pTsecMap->ievent = 0xffffffff;
	txbdCounter++;
	pTsecMap->ievent = 0x00100000;

}

void tsec1ReceiveIsr ()
{
	unsigned long i;
	
	//if (!(receiveBd[i].flags & 0x8000))
	//{
		//printf("RXBD %d is processed...\n\r", rxbdCounter);
		//printf("TSEC event reg value = 0x%8.8x \n\r", pTsecMap->ievent);
	//}

	rxbdCounter++;
	
	/* Clear the interrupt status */
	pTsecMap->ievent = 0x00000080;
	
}